export declare const nginxDeployment: {
    apiVersion: string;
    kind: string;
    metadata: {
        namespace: string;
        name: string;
        labels: {
            app: string;
        };
    };
    spec: {
        replicas: number;
        selector: {
            matchLabels: {
                app: string;
            };
        };
        template: {
            metadata: {
                labels: {
                    app: string;
                };
            };
            spec: {
                containers: {
                    name: string;
                    image: string;
                    ports: {
                        containerPort: number;
                    }[];
                }[];
            };
        };
    };
};
export declare const nginxService: {
    apiVersion: string;
    kind: string;
    metadata: {
        name: string;
        namespace: string;
    };
    spec: {
        type: string;
        selector: {
            app: string;
        };
        ports: {
            port: number;
            targetPort: number;
            protocol: string;
        }[];
    };
};
